#
# RPM Spec file for unixODBC-1.8.8
#
Summary: A complete ODBC Driver Manager for Linux
Name: unixODBC
Version: 1.8.8
Release: 1
Copyright: LGPL
Group: System Environment/Libraries
Source: http://www.unixODBC.org/%{name}-%{version}.tar.gz
Source1: odbcinst.ini
Source2: ODBCConfig.kdelnk
Source3: DataManager.kdelnk
URL: http://www.unixODBC.org/unixODBC/index.html
Distribution: Red Hat Linux
conflicts: iodbc
Vendor: Nick Gorham
Packager: Murray Todd Williams <MurrayTodd@yahoo.com>
BuildRoot: /var/tmp/%{name}-root

%description
The unixODBC Project goals are to develop and promote unixODBC to
be the definitive standard for ODBC on the Linux platform. This is to
include GUI support for KDE.

Install unixODBC if you'd like to access databases through ODBC. This
package include drivers for PostgreSQL and local files.

If you want to develop programs that will access data through ODBC,
you'll also need to have the unixODBC package installed.

%package devel
Summary: Development files for programs which will use the unixODBC library.
Group: Development/Libraries
Requires: unixODBC = %{PACKAGE_VERSION}

%description devel
Install unixODBC if you'd like to access databases through ODBC drivers.

If you want to develop programs that will access data through ODBC, 
you'll also need to install the unixODBC-devel (this) package.

%package kde
Summary: KDE DriverManager components
Group: System Environment/Libraries
requires: qt >= 2.0

%description kde
Components for the ODBCConfig and DataManager (KDE) Components of unixODBC.

%prep
%setup -q

%build
(cd ODBCConfig && rm -f mclass*.cpp)
(cd DataManager && rm -f mclass*.cpp)
./configure --prefix=${RPM_BUILD_ROOT}/usr \
            --with-gnu-ld=yes --enable-threads=yes \
            --sysconfdir=/etc
make CFLAGS="$RPM_OPT_FLAGS -g" all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/System
make install
cp %{S:1} $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/odbc.ini
cp ODBCConfig/LinuxODBC.xpm $RPM_BUILD_ROOT/usr/share/icons
cp ODBCConfig/smallLinuxODBC.xpm $RPM_BUILD_ROOT/usr/share/icons
cp %{S:2} $RPM_BUILD_ROOT/usr/share/applnk/System
cp %{S:3} $RPM_BUILD_ROOT/usr/share/applnk/System

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc INSTALL
%doc doc
%config /etc
/usr/lib/libodbcinst.so.1.0.0
/usr/lib/libodbcinst.so.1
/usr/lib/libodbcinst.so
/usr/lib/libodbc.so.1.0.0
/usr/lib/libodbc.so.1
/usr/lib/libodbc.so
/usr/lib/libodbccr.so.1.0.0
/usr/lib/libodbccr.so.1
/usr/lib/libodbccr.so
/usr/lib/libodbcdrvcfg1S.so.1.0.0
/usr/lib/libodbcdrvcfg2S.so.1.0.0
/usr/lib/libodbcdrvcfg1S.so.1
/usr/lib/libodbcdrvcfg2S.so.1
/usr/lib/libodbcdrvcfg1S.so
/usr/lib/libodbcdrvcfg2S.so
/usr/lib/libodbcpsql.so.1.0.0
/usr/lib/libodbcpsqlS.so.1.0.0
/usr/lib/libodbcpsql.so.1
/usr/lib/libodbcpsqlS.so.1
/usr/lib/libodbcpsql.so
/usr/lib/libodbcpsqlS.so
/usr/lib/libodbcminiS.so.1.0.0
/usr/lib/libodbcminiS.so.1
/usr/lib/libodbcminiS.so
/usr/lib/libodbcmyS.so.1.0.0
/usr/lib/libodbcmyS.so.1
/usr/lib/libodbcmyS.so
/usr/lib/libodbcnnS.so.1.0.0
/usr/lib/libodbcnnS.so.1
/usr/lib/libodbcnnS.so
/usr/lib/libesoobS.so.1.0.0
/usr/lib/libesoobS.so.1
/usr/lib/libesoobS.so
/usr/lib/liboplodbcS.so.1.0.0
/usr/lib/liboplodbcS.so.1
/usr/lib/liboplodbcS.so
/usr/lib/libodbctxt.so.1.0.0
/usr/lib/libodbctxt.so.1
/usr/lib/libodbctxt.so
/usr/lib/libtemplate.so.1.0.0
/usr/lib/libtemplate.so.1
/usr/lib/libtemplate.so
/usr/lib/libnn.so.1.0.0
/usr/lib/libnn.so.1
/usr/lib/libnn.so
/usr/bin/odbcinst
/usr/bin/isql
/usr/bin/dltest

%files devel
/usr/include/odbcinst.h
/usr/include/odbcinstext.h
/usr/include/sql.h
/usr/include/sqlext.h
/usr/include/sqltypes.h
/usr/lib/libodbcextras.la
/usr/lib/libodbcextras.a
/usr/lib/libodbcextras.so.1.0.0
/usr/lib/libodbcextras.so.1
/usr/lib/libodbcextras.so
/usr/lib/libodbcinst.la
/usr/lib/libodbcinst.a
/usr/lib/libodbc.la
/usr/lib/libodbc.a
/usr/lib/libodbccr.la
/usr/lib/libodbccr.a
/usr/lib/libodbcdrvcfg1S.la
/usr/lib/libodbcdrvcfg2S.la
/usr/lib/libodbcdrvcfg1S.a
/usr/lib/libodbcdrvcfg2S.a
/usr/lib/libodbcpsql.la
/usr/lib/libodbcpsqlS.la
/usr/lib/libodbcpsql.a
/usr/lib/libodbcpsqlS.a
/usr/lib/libodbcmyS.la
/usr/lib/libodbcmyS.a
/usr/lib/libodbcnnS.la
/usr/lib/libodbcnnS.a
/usr/lib/libesoobS.la
/usr/lib/libesoobS.a
/usr/lib/liboplodbcS.la
/usr/lib/liboplodbcS.a
/usr/lib/libodbctxt.la
/usr/lib/libodbctxt.a
/usr/lib/libtemplate.la
/usr/lib/libtemplate.a
/usr/lib/libnn.la
/usr/lib/libnn.a

%files kde
/usr/bin/ODBCConfig
/usr/bin/DataManager

%post
ldconfig -n /usr/lib

%post kde
ldconfig -n /usr/lib

%postun
ldconfig -n /usr/lib

%postun kde
ldconfig -n /usr/lib

%changelog

* Tue Apr 18 2000 Murray Todd Williams <murray@codingapes.com>
- added a unixODBC-devel RPM to the group, added KDE links and icons to system
- all of which came from recommendations from Fredrick Meunier
- <Fredrick.Meunier@computershare.com.au>

* Mon Apr 17 2000 Murray Todd Williams <murray@codingapes.com>
- unixODBC-1.8.7
- moved install to $RPM_BUILD_ROOT so it didn't overrun existing files.


